import { Compiler, type EntryNormalized } from 'webpack';
export interface AppJsonWebpackPluginOptions {
    filterPages?: (entryKeys: string[]) => Promise<Record<string, any>>;
    pageIndex?: string;
}
export default class AppJsonWebpackPlugin {
    options: AppJsonWebpackPluginOptions;
    constructor(options?: AppJsonWebpackPluginOptions);
    apply(compiler: Compiler): void;
    getAppJsonPages(entry: EntryNormalized): Promise<Record<string, any>>;
}
